### Index

- AssertOpenApiV3 (src/.../utilities.ts)
- initGenerator (src/.../generator.ts)
- IsOpenApiV3 (src/.../utilities.ts)
- IsReferenceObject (src/.../utilities.ts)
- NotContainsReferenceObjects (src/.../utilities.ts)
- OpenApiInit (src/.../open-api-init.ts)

### src/lib/utilities.ts

###

AssertOpenApiV3
`AssertOpenApiV3(obj?: any)`

Parameters :

Name | Type | Optional
obj | `any` | Yes

Returns : `OpenAPIV3.Document`

IsOpenApiV3
`IsOpenApiV3(obj?: any)`

Parameters :

Name | Type | Optional
obj | `any` | Yes

Returns : `OpenAPIV3.Document`

IsReferenceObject
`IsReferenceObject(obj?: any)`

Parameters :

Name | Type | Optional
obj | `any` | Yes

Returns : `OpenAPIV3.ReferenceObject`

NotContainsReferenceObjects
`NotContainsReferenceObjects(array?: Array)`

Parameters :

Name | Type | Optional
array | `Array` | Yes

Returns : `T[]`

### src/generators/init/generator.ts

###

initGenerator
`initGenerator(tree: Tree, options: InitGeneratorSchema)`

Parameters :

Name | Type | Optional
tree | `Tree` | No
options | `InitGeneratorSchema` | No

### src/lib/open-api-init.ts

###

OpenApiInit
`OpenApiInit(environment: Environment, options: OpenApiInitOptions)`

Parameters :

Name | Type | Optional | Default value
environment | `Environment` | No |
options | `OpenApiInitOptions` | No | `{}`

# results matching ""

# No results matching ""